function im = drawGaborSymbol(im, allsymbol, row, col, orientationIndex, intensity)

h = (size(allsymbol{1}, 1)-1)/2;  % half size of Gabor

for r = row-h:row+h
    if r < 1 || r > size(im,1)
        continue;
    end
    for c = col-h:col+h
        if c < 1 || c > size(im,2)
            continue;
        end
        % disp(sprintf('ori=%d,xx=%d,yy=%d',orientationIndex,r-row+h+1,c-col+h+1));
        val = intensity * allsymbol{orientationIndex}(r-row+h+1,c-col+h+1);
        if val > im(r,c)
            im(r,c) = val;
        end
    end
end